package maker

import (
	"testing"

	"gitea.loveuer.com/yizhisec/pkg3/logger"
)

func TestImage(t *testing.T) {
	logger.SetLogLevel(logger.LogLevelDebug)
	m := NewMaker()
	m.Image(t.Context(), "docker.io/nginx:1.29.3-alpine3.22",
		WithImageFallback("swr.cn-north-4.myhuaweicloud.com/ddn-k8s/docker.io/nginx:1.29.3-alpine3.22"),
		WithImageSave("/root/nginx.tar"),
	)
}
